%global pyver 27
%global pybasever 2.7
%global __python /usr/bin/python%{pybasever}
%global __python2 /usr/bin/python%{pybasever}

%global modname nibabel

Name:           python%{pyver}-%{modname}
Version:        2.1.0
Release:        1%{?dist}
Summary:        Python package to access a cacophony of neuro-imaging file formats

License:        MIT and PDDL-1.0
URL:            http://nipy.org/nibabel/
Source0:        https://github.com/nipy/nibabel/archive/%{version}/%{modname}-%{version}.tar.gz
BuildRequires:  git-core
BuildArch:      noarch
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-nose
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-six
BuildRequires:  numpy%{pyver}
BuildRequires:  scipy%{pyver}
BuildRequires:  python%{pyver}-matplotlib
BuildRequires:  python%{pyver}-pillow
BuildRequires:  h5py27-221-1812
BuildRequires:  python%{pyver}-pydicom
Requires:       python%{pyver}-six
Requires:       numpy%{pyver}
Requires:       scipy%{pyver}
Requires:       python%{pyver}-pydicom
Requires:	h5py27-221-1812

%description
Read / write access to some common neuroimaging file formats

This package provides read +/- write access to some common medical and
neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2 and
later), GIFTI, NIfTI1, NIfTI2, MINC1, MINC2, MGH and ECAT as well as Philips
PAR/REC. We can read and write Freesurfer geometry, and read Freesurfer
morphometry and annotation files. There is some very limited support for DICOM.
NiBabel is the successor of PyNIfTI.

The various image format classes give full or selective access to header (meta)
information and access to the image data is made available via NumPy arrays.


%prep
%autosetup -n %{modname}-%{version} -S git
rm -vrf %{modname}/externals/
# Hard fix for bundled libs
for f in $(find -type f -path ./doc -prune -o -name '*.py') bin/*; do
  sed -i \
    -e "s/from nibabel.externals.six/from six/"                                           \
    -e "s/from \.*[ ]*externals.six/from six/"                                            \
    -e "s/from \.*externals.netcdf/from scipy.io.netcdf/"                                 \
    -e "s/from nibabel.externals import OrderedDict/from collections import OrderedDict/" \
    -e "s/from \.*externals import OrderedDict/from collections import OrderedDict/"      \
  $f
  grep "externals" $f | grep "import" && exit 1
done
sed -i -e "/externals/d" setup.py

%build
module load python h5py
%py2_build

%install
module load python h5py
%py2_install

%check
module load python h5py
nosetests-%{python2_version} -v

%files
%license COPYING
%{_bindir}/nib*
%{_bindir}/parrec*
%{python2_sitelib}/%{modname}*
%{python2_sitelib}/nisext/

%changelog
* Sat Mar 11 2017 Igor Gnatenko <ignatenko@redhat.com> - 2.1.0-1
- Update to 2.1.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.0.2-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 23 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.2-1
- Update to 2.0.2
- unversioned bir to python3

* Sat Oct 31 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.1-1
- Initial package
